Name:           ocaml-syck
Version:        0.1.1
Release:        %mkrel 20
Summary:        Syck bindings for OCaml, allowing to read and write YAML files
License:        MIT
Group:          Development/OCaml
URL:            http://ocaml-syck.sourceforge.net/
Source0:        http://downloads.sourceforge.net/ocaml-syck/ocaml-syck-%{version}.tar.gz
Requires:       %mklibname syck 0
BuildRequires:  libsyck-devel
BuildRequires:  ocaml-findlib

%description
The ocaml-syck library provides Syck bindings for OCaml,
allowing an OCaml program to read and write YAML files.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libsyck-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure
make OBJ=cmo LIB=cma OCAMLC=ocamlc
make OBJ=cmx LIB=cmxa
pushd yaml
mkdir -p doc
ocamldoc -colorize-code -html yamlNode.mli yamlParser.mli -d doc
popd
mv yaml/doc .

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
ocamlfind install syck yaml/{META,*.mli,*.cmi,*.cma,*.a,*.cmxa,*.cmx,dll*.so}

%files
%doc COPYING
%dir %{_libdir}/ocaml/syck
%{_libdir}/ocaml/syck/META
%{_libdir}/ocaml/syck/*.cma
%{_libdir}/ocaml/syck/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc TODO
%doc doc/
%{_libdir}/ocaml/syck/*.a
%{_libdir}/ocaml/syck/*.cmxa
%{_libdir}/ocaml/syck/*.cmx
%{_libdir}/ocaml/syck/*.mli


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.1.1-20.mga8
+ Revision: 1670482
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.1.1-19.mga8
+ Revision: 1551171
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 0.1.1-18.mga8
+ Revision: 1545198
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 tv <tv> 0.1.1-17.mga8
+ Revision: 1484235
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 0.1.1-16.mga7
+ Revision: 1324067
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 0.1.1-15.mga7
+ Revision: 1323782
- Rebuild for ocaml 4.07

* Fri Oct 12 2018 tv <tv> 0.1.1-14.mga7
+ Revision: 1319875
- fix deps on 64bit arches

* Sun Sep 23 2018 umeabot <umeabot> 0.1.1-13.mga7
+ Revision: 1299936
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 tv <tv> 0.1.1-12.mga7
+ Revision: 1179753
- rebuild for new ocaml

* Fri Feb 12 2016 umeabot <umeabot> 0.1.1-11.mga6
+ Revision: 956452
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-10.mga5
+ Revision: 741782
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-9.mga5
+ Revision: 683111
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.1-8.mga4
+ Revision: 533922
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 blue_prawn <blue_prawn> 0.1.1-7.mga4
+ Revision: 475770
- rebuild for ocaml-4.01.0

* Sat Apr 06 2013 malo <malo> 0.1.1-6.mga3
+ Revision: 408572
- remove spurious requires

* Sun Jan 13 2013 umeabot <umeabot> 0.1.1-5.mga3
+ Revision: 361650
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.1.1-4.mga3
+ Revision: 301120
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.1.1-3.mga3
+ Revision: 300483
- new rpm group for ocaml

* Thu Mar 29 2012 malo <malo> 0.1.1-2.mga2
+ Revision: 227419
- adding missing requires to libsyck-devel

* Wed Mar 28 2012 blue_prawn <blue_prawn> 0.1.1-1.mga2
+ Revision: 227354
- imported package from Mandriva

